MoleBox

What is MoleBox

MoleBox is a runtime exe packer for Windows applications. It packs the application together with its supplementary data files and components into a single exe file. The resulting executable file keeps the functionality of the original program and runs without extracting files to the disk.

When processing an application suite, MoleBox compresses and encrypts executable file, data and media files and DLLs. With MoleBox you can protect your application's data and media files from viewing and modifications, and your DLLs from usage by third party programs.

Moleboxing does not affect the original application's functionality in any way nor requires any additional coding. Unpacking and decryption (if required) are performed automatically and insensibly for application.

What can MoleBox do for you?

Bind application

  • Pack application and data files into a single executable
  • Embed DLLs into the exe file
  • Use ActiveX components without registration
  • Run the application without external files
  • Manage patches and updates
  • Link VB Runtime to the executable

Protect application

  • Protect application from disassembling
  • Protect DLLs from 3rd party use
  • Protect data files from viewing and modification
  • Encrypt and compress EXE, DLL and data files
  • Secure application integrity
  • Counteract API hooking


MoleBox Features

MoleBox features and version comparison

Feature | MoleBox | MoleBox Pro
Packs application and data files into a single exe file |  |
Compresses and encrypts application and data files |  |
Allows to integrate DLLs and ActiveX components into exe files |  |
Allows to use multiple data packages |  |
Allows to manage update, patches, add-ons, level packs |  |
Allows to use control sum check to secure application integrity |  |
Price | $59 | $119/$499


MoleBox for all software developers

MoleBox helps you solve the following common problems related to software development and distribution:

  • Pack application and data files into a single executable. Run application without external files.
    MoleBox binds the exe and all its supplementary files into a single file. Moleboxed program works exactly as before processing. Data files are unpacked directly to the memory, and not extracted to the disk. Due to this, your data are not available to the user and thus cannot be viewed or modified.
  • Embed DLL into the exe file.
    This ability protects your DLLs from usage by third party software and also helps to prevent DLL version conflicts. You application will always have access to the same DLL version it was compiled with.
  • Use ActiveX components without registration.
    You may pack ActiveX components just as common DLLs, and use them in your application without registration. Packed application does not modify the Windows registry on client PC. All the necessary information is extracted from the component file, and no extra information is required for correct procesing of the ActiveX.
  • Encrypt the executable and data files.
    Encryption makes reverse engineering and data recovery extremely difficult.
  • Compress the entire application suite.
    MoleBox uses Zip (Deflate) algorithm to compress the application, DLL's and data files. Executable files size can be reduced by 30-70%. Moreover, processed application requires less disk space due to usage of a single file rather then many data files: for example, 1000 text files of 1 KB occupy 4 MB of disk space, but after processing the overall size may be decreased upto 100 KB.
  • Secure application integrity.
    Usage of the control sum ('CRC check') option will assure that your program and its data files were not modified, and all the necessary files are present.
  • Counteract API hooking.
    The application import table is encrypted during processing and, once protected with control sum, it cannot be modified.


MoleBox for game and multimedia developers

MoleBox offers easy solutions for the following common problems related to game development and distribution:

  • Protecting media and data files from prying eyes.
    Games and multimedia presentations often include a lot of exclusive content: 3D models, textures, 2D images, custom fonts, photos, sound effects and music files. Obviously, you wouldn't like if someone else will use your media files. After moleboxing your game or presentation, these files cannot be viewed, extracted, modified or otherwise used by another person.
  • Managing updates, patches, add-ons, level packs (MoleBox Pro only).
    Imagine your game has a 20 MB installation package, and you need to replace only a single file which is less then 100 kB. With MoleBox Pro, you'll need to create an additional data package with this single file, and distribute a single package rather then making your users redownload a huge file. With this technique, your new data file remains protected.
  • MoleBox is compatible with many game development tools and engines.

If you're using a specialized game or multimedia development tool which does not allow low level file operations, or you'd like to deal with game logics only rather then to study system programming, MoleBox is right for you.


System requirements

MoleBox supports applications created with major C++ compilers (Intel C++, Microsoft Visual C++, Borland C++ Buider), Borland Delphi, Microsoft Visual Basic, Blitz Basic, Pure Basic. MoleBox is fully compatible with Win32 standard PE format.

MoleBox is also compatible with Visual FoxPro, WinDev, 3D GameStudio, Macromedia Director projects (packing these projects require to reserve the executable file name and add the exe file second time as a data file).

MoleBox packing utility and moleboxed program work on Windows systems including Windows 95, 98, ME, NT, 2000, XP, upto Windows XP SP2. Recommended systems are Windows 2000 and XP.


How to molebox your application

Your program can be moleboxed in 3 easy steps:

  • Step 1: Select an application file and choose project options

    Select an exe-file from a list of recently used files or by pressing "Browse" button. In the "Pack to..." field type in a name for destination file. By default, this name is set by adding ".exe" to source executable name.

    Set project options (see Setting project options).

  • Step 2: Add data files (Configure packages in Pro version)

    If you're running Pro version, create as many additional data packages as you need and set compression and encryption options for each of them if necessary (see Configuring packages).

    Add data files you want to pack. Each package has an associated files list. To manage package files list, first select the package in the dropdown menu. Files list will be shown in the area below. You can switch between tree and flat mode for displaying files list.

    To add data files to the package, press "Add" button. You can also use Drag-n-Drop technology, dragging files and folders directly from Windows Explorer. To add a whole directory, use Drag-n-Drop. Press "Explore" button to open box root folder (the directory where your source executable is stored).

  • Step 3: Click the "Pack to box" button to start processing.

    Select packages dialog

    A dialog window "Select packages" will be shown. You can select packages to process. Click "Pack selected" when you're done.

    Moleboxing... dialog

    A dialog box showing packing progress will appear. Packer log is duplicated to <program-name>.exe.txt file. After finishing this process, you can test packed application clicking the "Execute" button.

Comments

Notice for RAD tools users.
Some RAD (Rapid Application Development) tools, including, but not limited to: Visual FoxPro, WinDev, 3D GameStudio, Macromedia Director, create with specific data sections which are not present in standard exe files. This data section is used stores your project data, and is read in runtime. To pack such a projector, you need to add it to the package twice: first time as a source executable, and second time as a data file.

Limitations related to additional packed files.

  • Only files from root application folder or lower folders can be moleboxed.
  • Packed files may not be modified.
  • ONLY your moleboxed applications will be able to access moleboxed data. However, you shouldn't pack .chm and .hlp help files until you're using your own functions to access them from your program.
  • If you have sound files played with winmm!PlaySound() function (this is not PlaySound command from Blitz Basic), do not molebox them. That's because Win9X OS requires such files to be unchanged to play them.
  • It is not recommended to pack Windows system components, like oleaut32.dll: since these components are loaded on Windows startup, packed application uses already loaded version of the component from the client PC.


Setting project options

"Box options" dialog appears as you click the "Options" button in the main window. All the options will be auto-saved in the project configuration file named <program-name>.mbxcfg and auto-loaded when you recall specified application.

Selecting box options

General options

  • Log box files access actions - when running packed application, a log file named <program-name>.exe-up.txt will be created. The following actions are logged:
    - loader operations (DLL loading, functions import, etc);
    - box operations (files opening/closing/reading).
    This option is typically used for debugging purposes.
  • Enable CRC check - check control sum. This option should be switched off if you're planning to use another wrapper after MoleBox. Control sum protects your program from unauthorized changes.
  • Make packed files visible for standard OpenFile dialog - allows to show the list of packed files when you use OpenFile dialog in your program. By default, this option is set ON, i.e. packed files are visible in OpenFile dialog, and are accessible for FindFirstFile() and FindNextFile() functions.
    Please note, that independently of this option, packed files can be opened only by your packed application, and cannot be opened by third party program. With this option on, OpenFile will only receive a list of file names.

Default package options

  • Pack sections of executable - compress and encrypt executable file. Zip algorithm is used for compression and DES/IDEA-like for encryption.
  • Separate data sections in default package - with this option set after processing the default package you'll get two resulting files, *.exe, containing application and "box" file, containing data and resource files. Otherwise, these files will be merged into single *.exe file. Use this option when box size is big to minimize application size and loading time.
  • File name field can be used to set your own box file name, if you have chosen "Separate data sections in default package" option.

Compression options

  • Compression level describes project overall compression method for data files. Possible values are "No compression" and "Zip compression".
  • Compression threshold indicates required file size reduction. If compression of some file does not result in decreasing its filesize below this threshold, that file will be stored unchanged.

Cryptography options:

  • Use strong encryption - with this options set, strong encryption algorithm will be used for encrypting box files; otherwise, Byte-to-byte Xor will be used.
  • Master key is a base for creating encryption keys. By clicking the "Change" button, you can enter your own phrase, which will be used to generate 128-bits master key (hexadecimal value is shown).
Master encryptrion key generator dialog


Configuring packages

In MoleBox Pro version you can create multiple data packages. Every project has a 'Default' package containing the exe file and a random number of data packages. The default package in always packed to the 'target executable'. All the data packages are stored in the same directory with the target executable.

Creating packages and setting package options

"Configure packages" dialog appears as you click the "Configure" button in the main window. This dialog window allows to create new packages, edit their options or delete them.

File name pattern is the pattern for package file names. Standard Windows patterns like "*.dat" or "abc*.*, bce*.*" with maximum length of 28 characters are allowed. Moleboxed program will scan its directory, search for files whose names fit the specified template and treat them as packages.

To create a new package, click "Create" buttom. A "Package options" dialog will be shown. There you can specify the following options:

  • Description is package description (optional) which helps you find the necessary package;
  • File name is the name of the file current package is packed to. Packages are loaded in alphabethical order;
  • Use default options allows to use compression and encryption options specified for the whole project in this package too.
  • Customize allows to set custom compression and encryption options for the package. For example, if you need to extract some files as fast as possible, you can use "byte-to-byte XOR" encryption and "no compression" options.
  • Compress toggles compression for the package on. The default compresion level and threshold will be used.
  • Encryption method allows to choose one of the options for package encryption: "No encryption", "Byte-to-byte XOR" or "Strong encryption".

To edit the package options, select the package in the "Packages list" area and click "Edit" button. To delete a package, click "Remove" button.


Sharing data between two EXE files

Sometimes you may need to share packed data files between two different executables. For example, you have created a game which has main executable and launcher which uses some of the game graphics.

The following technique allows you to share packed data between two different applications. Let's assume that you have program1.exe and program2.exe.

  • Pack program1.exe and put the data files to share into a separated package, or into separated data section of the default package.
  • Copy the configuration file program1.exe.mbxcfg and save it as program2.exe.mbxcfg.
  • Change source file name and destination file name in the configuration file for the second application. Make sure that other options were not changed.
  • Pack the second application with MoleBox (you will only need to process the default package which contains executable).


MoleBox configuration file

Each project is bound to an exectable file, and has an associated configuration file named <name_of_exe_file>.exe.mbxcfg. You can write or edit these configuration files manually.

Basic options (sole occurence in config)

"Use strong encryption" option:
box.encrypt=1

"Separate default package" option:
box.separate=0

Relative address of default package box file:
box.sepfile=

Compression level (0 - no compression, 9-maximum compression):
box.ziplevel=1

Root application directory:
dir.addfiles=C:\test\

"Use crc check" option:
exe.crc=0

"Pack segments of executable" option:
exe.pack=1

Absolute path to the source executable:
exe.source=C:\test\test.exe

Relative path to the target executable:
exe.target=packed\test-packed.exe

Encryption keys:
key.0=9E5E704454F7C740BD17D975C86DD33D
key.1=9705C475944E05489FD019966E7CCB40
Note: if these keys absent, they will be generated automatically and saved to the configuration file.

Package options (for each of the packages)

"Use project defaults" option:
box.1.flags=16384

Package file name:
box.1.fname=pak1.dat

Package name:
box.1.name=Package1

Package contents (for each of the packages)

Default package contents:
box.contents~
00 lib1.dll
00 lib2.dll
00 image1.png
~

Additional package contents:
box.1.contents~
00 file1.txt
00 file2.txt
~


Managing patches

In order to create a patch, update or an add-on, follow these steps:

  • Launch MoleBox Pro and open an existing project.
  • Create a new empty package. Since packages are applied in alphabethical order, name the new package with a string 'greater' then original package's name is. For example, to replace a file in the package named "sounds1.dat", you can create a new package named "sounds2.dat" (entire file names, including name extensions, are compared).
  • Add the files which are new or being replaced into this package. If you're replacing files, their names should match the previously used names.
  • MoleBox this package (click "Pack to box" and select this package in the list).

Such a package can be distributed as an update, for example, in zip archive.

Remarks

This feature is available in Molebox Pro beginning with version 2.2.0. If you have a project packed with previous version (2.1.xx) of MoleBox, you will need to rebuild the target executable too.

If you need to replace the executable, you'll have to rebuild the default package with the options used before.


Adding splash screen

Beginning from version 2.5, MoleBox allows to add a splash screen to your packed application. Splash screen is generated from a bitmap file, and is shown in the center of the screen while your application is launched.

To add splash screen window, create an image, save it as '_splashscreen.bmp' in the original application directory, and add this image to the default package.


Usage from command line

Beginning from version 2.1.8, MoleBox supports command line interface. The usage is as follows:

mbox2c.exe <name of exe-file>.

We recommend that the first time you run MoleBox from the graphical environment and set all the option correctly, and the other time you can use command line interface.


MoleBox FAQ

  1. What is MoleBox?
    1. What is exe packer?
    2. What is the difference between exe packer and self-extracting archive?
    3. How does MoleBox work?
    4. How can I see, what it does with my app?
    5. Can I pack an application twice with MoleBox?
    6. Can I pack an installation package with Molebox?
    7. If the application and its data files are loaded directly to memory, does this set the minimum required RAM on the end-user computer equal to the overall application size?
  2. DLL embedding
    1. Are embedded DLLs extracted to disk first before loading?
    2. Can I pack multiple DLLs depending from each other?
    3. Can I place second executable to the package?
    4. What about packing ActiveX DLLs?
    5. Are you planning to add .NET support in the future?
  3. Application integrity protection
    1. What is application control sum?
    2. Which checksum algorithm is used in MoleBox?
    3. Does checksum protect only executable?
    4. What are the benefits of control sum checking?
    5. Should I always use checksum protection?
  4. Import table processing
    1. What is application import table?
    2. What happens to import table while moleboxing a program?
    3. What is functions interception?
    4. Are there functions which cannot be intercepted?
    5. How protected the import table is in the packed application?
    6. I have opened a packed executable with a PE viewer utility and I can see the import table there. What's wrong?
  5. Compression issues
    1. What algorithm is used for files compression?
    2. How much is file size decreased by?
    3. Some file formats (JPG, PNG, and the like) already contain
    4. Does compression slow down the packed program?
    5. I have packed a 64 KB executable, and it has even increased in size. What's wrong?
  6. Encryption issues
    1. What encryption algorithms are used?
    2. Does MoleBox uses symmetric or asymmetric encryption algorithm?
    3. Can I specify my own encryption key?
    4. Does encryption slow down the packed program?
    5. Does encrypting the application affect the compression results?
  7. Application protection
    1. What kinds of application protection does MoleBox offer?
    2. Do you offer anti-debug, anti-dump, anti-trace protection?
    3. Do I need to make changes in my source code?
    4. Why the internal resources (the .rsc section) of executable are stored unchanged and still can be viewed?
  8. Data files protection
    1. Does MoleBox extract packed data files on the hard disk?
    2. Are data files in the package well protected?
    3. Can I rewrite packed data files?
    4. Are packed data available to the 3rd party programs?
    5. Why I can't store PDF and CHM files in the package?

Still have questions? Ask us: support@molebox.com.


MoleBox FAQ - What is exe packer?

MoleBox FAQ - What is MoleBox?

Forward to DLL embedding

What is exe packer?

Executable packer is a program designed to process an application, in order to decrease its size, and (optionally) to protect the original exe file. Molebox is an exe packer with the ability to protect supplementary application files.

What is the difference between exe packer and self-extracting archive?

When you run a self-extracting archive, it extracts its contents to the temporary directory, and runs the application from there. Runtime packer does not extract packed files.

How does MoleBox work?

MoleBox parses the executable and processes its structure. First, it scans the application import table and replaces WinAPI functions dealing with the packed data with its own functions. Second, it packs the segments of EXE file. Third, it appends the data files and DLLs. MoleBox also adds a small launcher module to the application.

How can I see, what it does with my app?

MoleBox catches all file opening/reading/closing operations, DLL's loading, functions import, and substitutes them with its own functions. To see what it does exactly with your application, pack it with "Log box files access actions" option set, run and see the log file .exe-up.txt.

Can I pack an application twice with MoleBox?

No. However, you can use two or more different packers at the same time, if necessary.

Can I pack an installation package with Molebox?

Typically, no. Installation packages usually utilize a kind of integrity protection, which prevents the executable file from modifications. If you'd like to decrease the size of the installation package, you can use self-extracting archive (for example, WinRAR) or installation builder with compression plug-in (like InnoSetup with 7zip plug-in).

If the application and its data files are loaded directly to memory, does this set the minimum required RAM on the end-user computer equal to the overall application size?

No, we do not load all the data to the RAM in the same time. Only a small 'launcher' module is loaded, and it extracts the necessary data only when they are required.


MoleBox FAQ - DLL embedding

Forward to Application integrity protection
Back to What is MoleBox?

Are embedded DLLs extracted to disk first before loading?

No. The sole files MoleBox creates are "dummy" DLLs in the temporary directory. These files contain only DLL headers and no real code. They are about 1.5-2 Kb in size. These dummy DLLs are required for correct work in Windows 9X and cannot be used by other applications.

Can I pack multiple DLLs depending from each other?

Yes.

Can I place second executable to the package?

No.

What about packing ActiveX DLLs?

ActiveX components may be packed like common DLLs. Packed application does not modify Windows registry on client computer, and you don't have to provide extra information for correct processing and usage of packed components. This feature also allows to use a packed component without registration.

Are you planning to add .NET support in the future?

Yes.


MoleBox FAQ - Application integrity protection

Forward to Import table processing
Back to DLL embedding

What is application control sum?

Application checksum is a hash calculated on certain segments of the exe file. Control sum check allows protect data from unauthorized modification.

Which checksum algorithm is used in MoleBox?

We're using MD5 algorithm, which is widespread and quite fast.

Does checksum protect only executable?

No. All the data files and DLLs may be protected along with the EXE file.

What are the benefits of control sum checking?

Control sum allows assuring that all the files remain unchanged and no file was accidentally deleted, i.e. securing the integrity of the original application suite.

Should I always use checksum protection?

No. If you're planning to apply another wrapping protection after moleboxing the application, you'll have to set CRC check option off.


MoleBox FAQ - Import table processing

Forward to Compression issues
Back to Application integrity protection

What is application import table?

The import table contains lists all the DLLs and all the function pointers your application uses.

What happens to import table while moleboxing a program?

Import table is processed in two steps: function interception and packing. While moleboxing, the import table is being encrypted, which prevents any modifications to import table contents, and protect the application from substitution its functions with the other ones.

What is functions interception?

MoleBox intercepts the functions dealing with the packed files. It finds those functions in the import table of the original application, and substitutes with its own functions. This technique allows to pack the data files without any changes to the source code.

Are there functions which cannot be intercepted?

Yes, there are few of such functions. For example, MCI*() functions family of MediaControl component cannot be correctly intercepted in Windows 9X. To avoid this concrete problem, you may explicitly load Windows Media Player component when necessary.

How protected the import table is in the packed application?

MoleBox prevents external API hooking (function pointers modifications) and any other import table modifications.

I have opened a packed executable with a PE viewer utility and I can see the import table there. What's wrong?

It's the import table of MoleBox launcher, not of your original application. We have to keep the launcher import table unchanged, in order to let it run. However, the import table of your application is encrypted, and cannot be accessed.


MoleBox FAQ - Compression issues

Forward to Encryption issues
Back to Import table processing

What algorithm is used for files compression?

Well-known ZIP (Deflate) algorithm.

How much is file size decreased by?

It depends from your files, but roughly, exe-files are decreased by 30-40% and dll-files by 50-70%.

Some file formats (JPG, PNG, and the like) already contain

compressed data. How to avoid second compression? You can specify an appropriate compression threshold. If the file cannot be significantly decreased in size, it won't be packed.

Does compression slow down the packed program?

Generally, no. Moreover, since your data files form a single file, the access to this file is accelerated, and this compensates possible decompression lags.

I have packed a 64 KB executable, and it has even increased in size. What's wrong?

Everything is right. MoleBox adds a small (about 40 KB) launcher module to the packed application. This launcher handles all file reading operations.


MoleBox FAQ - Encryption issues

Forward to Application protection
Back to Compression issues

What encryption algorithms are used?

MoleBox allows to use Bye-to-byte XOR encryption as well as strong DES/IDEA-like algorithm.

Does MoleBox uses symmetric or asymmetric encryption algorithm?

For "strong encryption" we use symmetric DES/IDEA-like algorithm, where the same key is used for both encryption and decryption.

Can I specify my own encryption key?

Yes. You can set a key for strong encryption, based on a key phrase and, optionally, current time.

Does encryption slow down the packed program?

Byte-to-byte XOR does not affect the application speed at all. Strong encryption may slightly slow simultaneous reading of the large amount of data.

Does encrypting the application affect the compression results?

No. The compression is performed before encryption. However, strong encryption destroys the data statistics, and thus cancels any further compression results. If you're planning to compress your application with another packer or with an installer, you may prefer XOR encryption.


MoleBox FAQ - Application protection

Forward to Data files protection
Back to Encryption issues

What kinds of application protection does MoleBox offer?

MoleBox provides:
- application integrity protection;
- data files protection from access, viewing, editing, use by 3rd party applications;
- import table protection;
- encryption of the executable files, which makes its disassembling near to impossible.

Do you offer anti-debug, anti-dump, anti-trace protection?

No. MoleBox is specialized on protecting the application supplementary files from unauthorized use.

Do I need to make changes in my source code?

No. MoleBox is a wrapping protection, you can apply it after you application is ready for publishing. This allows to protect the applications created with a wide range of development tools, from standard C++ compilers to RAD tools.

Why the internal resources (the .rsc section) of executable are stored unchanged and still can be viewed?

MoleBox doesn't change the .rsc section contents (dialog forms and other data added to project as application resources) because Windows 9x makes some undocumented preprocessing of this section. In the case of absence or incorrect contents of .rsc section application wouldn't be able to access to its internal resources. We do not use any undocumented Windows feature. However, it you engage integrity check to your packed application, the contents of this section cannot be modified.


MoleBox FAQ - Data files protection

Data files protection

Back to Application protection

Does MoleBox extract packed data files on the hard disk?

No. All the necessary data are extracted directly into memory when they are required. Your files are safely stored in the package. The only exception is made up of fonts which are registered with WinAPI RegisterFont() function prior to using. This function require font file to be extracted on the disk.

Are data files in the package well protected?

Yes. Package files are protected with strong encryption algorithm.

Can I rewrite packed data files?

No. MoleBox doesn't support writing files, because only unpacking and decrypting code is embedded into the application.

Are packed data available to the 3rd party programs?

No. It's the main purpose of MoleBox, to make packed data unavailable to the other programs. However, you can share your data between your packed programs.

Why I can't store PDF and CHM files in the package?

PDF and CHM files are typically viewed by external programs, and in this case cannot be packed. You cannot open an external application and pass a packed file to it. However, if you're using your own components to read such files, you can place them to the package.


How to register MoleBox

How to register MoleBox/MoleBox Pro online

You can order the fully licensed version of MoleBox/MoleBox Pro at any time over the Internet from ShareIt or RegNow with any major credit card, bank/wire transfer, check or cash. After you purchased a license, you'll receive your personal registration code and the release version of MoleBox.

Secure ordering via ShareIt

Service provided by ShareIt! Inc.
460 Mathews Street, Suite 1800
Greensburg, PA 15601-8059 USA

Type of license | Price | Order page
MoleBox | $59 | Order now!
MoleBox Pro (single developer license) | $119 | Order now!
MoleBox Pro (company license) | $499 | Order now!

Secure ordering via RegNow

Service provided by RegNow
RegNow/Digital River, Inc.
9625 West 76th Street
Eden Prairie, MN 55344, USA

Type of license | Price | Order page
MoleBox | $59 | Order now!
MoleBox Pro (single developer license) | $119 | Order now!
MoleBox Pro (company license) | $599 | Order now!


MoleBox EULA

END-USER LICENSE AGREEMENT FOR MoleBox/MoleBox Pro

This license agreement ("EULA") is a legal agreement between you, either an individual or a single entity, and Teggo concerning the software identified above, which includes executable files and accompanying printed, on-line or other electronic documentation ("SOFTWARE"). The SOFTWARE also includes any updates and supplements to original SOFTWARE provided to you.

By installing, copying, running, or otherwise using the SOFTWARE, you agree to be bound by the terms of this license. If you do not agree to the terms of this license, you must remove all MoleBox files from your computer.

COPYRIGHT

All copyrights to the SOFTWARE are exclusively owned by Teggo. All rights not expressly granted here are reserved by Teggo.

This SOFTWARE is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE is licensed, not sold.

GRANT OF LICENSE

Installation and Use

You are granted a right to install the SOFTWARE and use it in accordance with the terms of this EULA, in order to process your own applications with the SOFTWARE.

Trial version

The trial (unregistered) version of MoleBox is intended solely for evaluation purposes. You can freely download it from the official web site, install and evaluate during the 15 day period. You are not allowed to distribute the software processed with trial version. After the trial period is expired, if you wish to continue using MoleBox, you must register it.

Registered version

In order to use the SOFTWARE for your commercial purposes, you must register.

Registration of MoleBox gives you the following non-exclusive rights:
- to download the full version of the SOFTWARE;
- to install and use the SOFTWARE for your commercial purposes;
- to download free updates from our web-site;
- to receive information about software updates via e-mail;
- to receive free technical support via e-mail.

When you purchase your copy of the SOFTWARE, you'll receive a download link for the full version and a personal registration code via e-mail you provided.

License types

MoleBox STANDARD: Allows to use MoleBox standard (feature-limited) version. Only for usage by independent software developers. If you're a self-employed or independent software developer, and functionality in MoleBox Standard fits your requirements, choose this license type. This license allows to distribute moleboxed applications on behalf of a person.

MoleBox PRO, single developer license: Allows one software developer to use MoleBox Pro, on any number of computers. This license offers advanced functionality for independent developers. This license allows to distribute moleboxed applications on behalf of a person.

MoleBox PRO, company license: Allows any number of developers from the same company to use MoleBox Pro. If you represent a company, or a group or team of developers, choose this license type. This license allows to distribute moleboxed applications on behalf of a team or company.

Upgrades policy

The latest trial version of the SOFTWARE can be freely downloaded from the official web site.

Registered users may download the latest full version of the SOFTWARE from the link provided in the registration letter.

Redistribution of the SOFTWARE

You are allowed to make as many copies of the SOFTWARE installation package as you wish. Teggo allows and encourages magazines, web sites, bulletin board systems, and end-users to freely distribute the installation package of the trial version of the SOFTWARE via electronic means with the following restrictions:
- the authors and origin of the SOFTWARE must be clearly stated;
- the content of the installation package cannot be modified;
- this EULA may not be removed from or altered in a redistributed package.

No person or company may charge a fee for the distribution of the SOFTWARE without written permission from the copyright holder.

No person or company may distribute the installation package of the full version on the SOFTWARE.

LIMITATIONS

License transfer

You may not rent, lease, sell, or transfer your license to another person or company without written permission from the copyright holder. You may not share your registration code with another person or company.

Reverse engineering

You may not use, copy, emulate, clone, modify, decompile, disassemble, otherwise reverse engineer the SOFTWARE, or any of it's parts, except as provided by this agreement. Any such unauthorized use will result in immediate and automatic termination of this license agreement.

LIMITATION OF LIABILITY

This SOFTWARE is distributed "as is". No warranty of any kind is expressed or implied. You use it at your own risk. The author will not be liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software.

Teggo does not guarantee that SOFTWARE is error free. Teggo does not guarantee that this SOFTWARE meets your personal requirements.

Thank you for using the SOFTWARE in accordance with the terms of this EULA.


Why register?

The trial (unregistered) version of MoleBox is intended solely for evaluation purposes. You can freely download it from the official web site, install and evaluate during the 15 day period. You are not allowed to distribute the software processed with trial version. After the trial period is expired, if you wish to continue using MoleBox, or you wish to use Molebox in your distributable projects, you must register it by purchasing an appropriate license.

Registration benefits

  • no more message "Packed with unregistered version of MoleBox" in your applications;
  • you can use MoleBox for your commercial purposes, without any additional payments;
  • you will receive free technical support via e-mail;
  • once registered, you remain registered user for all the following versions of MoleBox;
  • you can receive notifications about all new versions and updates and download them from our site absolutely free.

Try before you buy!

MoleBox is distributed on shareware basis. You can download and test trial version of MoleBox for free. But we can't guarantee that MoleBox will satisfy your needs and requirements. You have the opportunity to test the program carefully and make sure it satisfies you before purchasing a license.


License types

The following license types are available:

MoleBox STANDARD: Allows to use MoleBox standard (feature-limited) version. Only for independent software developers, not for companies. If your're a self-employed or independent software developer, and functionality in MolBox Standard fits your requirements, choose this license type. Price: $59.

MoleBox PRO, single developer license: Allows one software developer to use MoleBox Pro. Only for independent software developers, not for companies. This license offers advanced functionality for independent developers. Price: $119.

MoleBox PRO, company license: Allows any number of developers from the same company to use MoleBox Pro. If you represent a company, or a group or team of developers, choose this license type. Price: $499.


Technical support for MoleBox

Bug reports

If you have problems running MoleBox or your moleboxed app works different then the original one, please make sure you are using the last released version of Molebox. If your problem repeats, please contact support@molebox.com. Please include full description of your problem — provide as much information as possible: place of error, sequence of your actions, etc. Sometimes we'll need a sample app which reproduces the error you encountered.

If you're sending us an application sample, please pack it into a .zip or .rar archive rather then sending an exe file.

Privacy protection

If you're sending us your application, we offer you to protect it with our PGP signature, which assures that nobody else can get your data. To save our key to your computer, click on the link below (the key will be opened in Internet Explorer), choose "File / Save As..." command form IE menu and save the file to your hard drive as a text file. After that you need to import this key into your mailing program, and you'll be able to protect the data you send us.

MoleBox public PGP key

Information

Topics regarding using MoleBox are described in details in the Manual and in the MoleBox Help. If you have questions about Molebox, please consult FAQ or visit or forum.


Contact information

Get latest demo version

Visit download page (check out latest version)
View versions history

Download MoleBox Standard trial version:
http://www.molebox.com/MoleBoxStandardSetup.exe
Donload MoleBox Pro trial version:
http://www.molebox.com/MoleBoxProSetup.exe

Registered users may download the full version of MoleBox or MoleBox Pro using the link provided in the registration e-mail.

Official MoleBox web-site

http://www.molebox.com/

Development blog
http://www.blog.molebox.com/

Online FAQ
http://www.molebox.com/faq/

Online forum
http://devforum.teggo.com/

Support e-mail
support@molebox.com

About Teggo

Teggo (former MoleStudio.com) is a privately held company located in Nizhny Novgorod, Russia. We present on software market since 2002, when the first public version of MoleBox was released. Our developers have 10+ years of programming and software design experience. We specialize in creating various tools for game developers.


-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: 2.6

mQCPA0BkUh8AAAEEAN4Jphmka/4qPMY9y0AkwdJOjvuRIMBiyqcqZyk2Mqz3CUpZ
RB8XlDm0PCsdw/iI0JeXj9bHC/0aFEC3oWZILoVo7kuAPp16iAPrqutbqPQ8i5Pv
G327Shc/FLKxsAQtp8Hd9NBYzKqe1a3AeY2Hks4vatcwXN1MjfMF97yWNVF/ABEB
AAG0KU1vbGVCb3guY29tIFN1cHBvcnQgPHN1cHBvcnRAbW9sZWJveC5jb20+iQCV
AwUQQGRSH/MF97yWNVF/AQFJXgQAwcomDsV/FPQERbFzA7tb5+KlgzHt5URKQFV8
/+0vqAC8tZWDsITx1IUBeSidcKdMLpZ7P/k3s2gl4HlJF4pfua2oSbtP3PLieZJI
DZwojVjROBMnJHLuSW7LSQNhMCj7mkVoCvbtMibVOL6mdcAoIT10F/lPk0aHBXMt
wKIvxt8=
=nnIO
-----END PGP PUBLIC KEY BLOCK-----